Aria: ArGlobalFunctor3< P1, P2, P3 > Class Template Reference

- Main Page
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ArGlobalFunctor3< P1, P2, P3 > Class Template Reference

`#include <ArFunctor.h>`

Inheritance diagram for ArGlobalFunctor3< P1, P2, P3 >:

List of all members.

## Detailed Description

### template<class P1, class P2, class P3>
class ArGlobalFunctor3< P1, P2, P3 >

Functor for a global function with 3 parameters.

This is a class for global functions which take 3 parameters. This ties a C style function pointer into the functor class hierarchy as a convience. Code that has a reference to this class and treat it as an ArFunctor can use it like any other functor.

For an overall description of functors, see ArFunctor.

## Public Member Functions
| ArGlobalFunctor3 (void(*func)(P1, P2, P3), P1 p1, P2 p2, P3 p3)
| Constructor - supply function pointer, default parameters.
| ArGlobalFunctor3 (void(*func)(P1, P2, P3), P1 p1, P2 p2)
| Constructor - supply function pointer, default parameters.
| ArGlobalFunctor3 (void(*func)(P1, P2, P3), P1 p1)
| Constructor - supply function pointer, default parameters.
| ArGlobalFunctor3 (void(*func)(P1, P2, P3))
| Constructor - supply function pointer.
| ArGlobalFunctor3 ()
| Constructor.
virtual void | invoke (P1 p1, P2 p2, P3 p3)
| Invokes the functor.
virtual void | invoke (P1 p1, P2 p2)
| Invokes the functor.
virtual void | invoke (P1 p1)
| Invokes the functor.
virtual void | invoke (void)
| Invokes the functor.
virtual void | setP1 (P1 p1)
| Set the default parameter.
virtual void | setP2 (P2 p2)
| Set the default 2nd parameter.
virtual void | setP3 (P3 p3)
| Set the default third parameter.
virtual | ~ArGlobalFunctor3 ()
| Destructor.
## Protected Attributes
void(* | myFunc )(P1, P2, P3)
P1 | myP1
P2 | myP2
P3 | myP3

## Constructor & Destructor Documentation

template<class P1, class P2, class P3>

ArGlobalFunctor3< P1, P2, P3 >::ArGlobalFunctor3 | ( | void(*)(P1, P2, P3) | func | ) | `[inline]`

Constructor - supply function pointer.

Parameters:

  | func | global function pointer

template<class P1, class P2, class P3>

ArGlobalFunctor3< P1, P2, P3 >::ArGlobalFunctor3 | ( | void(*)(P1, P2, P3) | func,
|  | P1 | p1 |
| ) |  |  | `[inline]`

Constructor - supply function pointer, default parameters.

Parameters:

  | func | global function pointer
  | p1 | default first parameter

template<class P1, class P2, class P3>

ArGlobalFunctor3< P1, P2, P3 >::ArGlobalFunctor3 | ( | void(*)(P1, P2, P3) | func,
|  | P1 | p1,
|  | P2 | p2 |
| ) |  |  | `[inline]`

Constructor - supply function pointer, default parameters.

Parameters:

  | func | global function pointer
  | p1 | default first parameter
  | p2 | default second parameter

template<class P1, class P2, class P3>

ArGlobalFunctor3< P1, P2, P3 >::ArGlobalFunctor3 | ( | void(*)(P1, P2, P3) | func,
|  | P1 | p1,
|  | P2 | p2,
|  | P3 | p3 |
| ) |  |  | `[inline]`

Constructor - supply function pointer, default parameters.

Parameters:

  | func | global function pointer
  | p1 | default first parameter
  | p2 | default second parameter
  | p3 | default third parameter

## Member Function Documentation

template<class P1, class P2, class P3>

virtual void ArGlobalFunctor3< P1, P2, P3 >::invoke | ( | P1 | p1,
|  | P2 | p2,
|  | P3 | p3 |
| ) |  |  | `[inline, virtual]`

Invokes the functor.

Parameters:

  | p1 | first parameter
  | p2 | second parameter
  | p3 | third parameter

Implements ArFunctor3< P1, P2, P3 >.

template<class P1, class P2, class P3>

virtual void ArGlobalFunctor3< P1, P2, P3 >::invoke | ( | P1 | p1,
|  | P2 | p2 |
| ) |  |  | `[inline, virtual]`

Invokes the functor.

Parameters:

  | p1 | first parameter
  | p2 | second parameter

Implements ArFunctor3< P1, P2, P3 >.

template<class P1, class P2, class P3>

virtual void ArGlobalFunctor3< P1, P2, P3 >::invoke | ( | P1 | p1 | ) | `[inline, virtual]`

Invokes the functor.

Parameters:

  | p1 | first parameter

Implements ArFunctor3< P1, P2, P3 >.

template<class P1, class P2, class P3>

virtual void ArGlobalFunctor3< P1, P2, P3 >::setP1 | ( | P1 | p1 | ) | `[inline, virtual]`

Set the default parameter.

Parameters:

  | p1 | default first parameter

template<class P1, class P2, class P3>

virtual void ArGlobalFunctor3< P1, P2, P3 >::setP2 | ( | P2 | p2 | ) | `[inline, virtual]`

Set the default 2nd parameter.

Parameters:

  | p2 | default second parameter

template<class P1, class P2, class P3>

virtual void ArGlobalFunctor3< P1, P2, P3 >::setP3 | ( | P3 | p3 | ) | `[inline, virtual]`

Set the default third parameter.

Parameters:

  | p3 | default third parameter

The documentation for this class was generated from the following file:

- ArFunctor.h